Page MenuHomePhabricator

Add new user right to view deleted files
Open, LowPublic

Description

Why is there no userright to let a user access deleted files? Makes no sense.

There are only these user rights:

"deletedhistory" allows viewing deleted history entries, but not seeing or restoring revisions

"deletedtext" allows viewing deleted revisions, but not restoring


Version: unspecified
Severity: enhancement

Details

Reference
bz34935

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:09 AM
bzimport set Reference to bz34935.
bzimport added a subscriber: Unknown Object (MLST).
Subfader created this task.Mar 3 2012, 3:36 PM

(In reply to comment #0)

Why is there no userright to let a user access deleted files? Makes no sense.
There are only these user rights:
"deletedhistory" allows viewing deleted history entries, but not seeing or
restoring revisions
"deletedtext" allows viewing deleted revisions, but not restoring

Personally I think it would make sense to throw this in with deletedtext. (and change the description [but keep right name the same] on special:listgrouprights )

MarcoAurelio closed this task as Resolved.Aug 28 2015, 9:37 PM
MarcoAurelio claimed this task.
MarcoAurelio added a subscriber: MarcoAurelio.

The right exists now. There's a viewdeletedfile right now which is suposed to allow holders to view files and pages in the File and File talk namespaces that are deleted. Best regards.

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptAug 28 2015, 9:37 PM
Legoktm reopened this task as Open.Aug 28 2015, 9:40 PM
Legoktm added a subscriber: Legoktm.

"viewdeletedfile" is a Wikimedia-specific hack, this bug is about MediaWiki.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 9:40 PM
MarcoAurelio removed MarcoAurelio as the assignee of this task.Aug 28 2015, 9:43 PM
MarcoAurelio set Security to None.
Tgr added a subscriber: Tgr.Aug 28 2015, 10:26 PM

The generic way to solve all sorts of problems with file revisions would be T96384.

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:07 PM